Bug 234192 - Completion inside AngularJS expression does not resolve scope correctly
Completion inside AngularJS expression does not resolve scope correctly
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: AngularJS
7.4
PC All
: P2 (vote)
: 7.4
Assigned To: Petr Pisl
Vladimir Riha
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 14:44 UTC by Vladimir Riha
Modified: 2013-08-22 08:23 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-08-09 14:44:42 UTC
Please try:
- from [1], create suggested html and JS file and pasted the content there
- open index.html, in line 12 type {{| }} (where | is caret position)
- invoke cc

=> e.g. greet(), cssColor, addContact() etc. are not offered. I'm making this P2 since it works in Beta and it is, I think, important feature for Angular support




[1] http://wiki.netbeans.org/TS_74_AngularJS#Test_suite:_Completion_with_controllers


Product Version: NetBeans IDE Dev (Build 201308072300)
Java: 1.7.0_40-ea; Java HotSpot(TM) Client VM 24.0-b52
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-ea-b33
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Vladimir Riha 2013-08-09 15:03:15 UTC
Please try also steps from [1], situation where controller is not specified => completion again fails to offer all members of both controllers


[1] http://wiki.netbeans.org/TS_74_AngularJS#Test_suite:_Completion_without_controllers
Comment 2 Vladimir Riha 2013-08-09 15:03:15 UTC
Please try also steps from [1], situation where controller is not specified => completion again fails to offer all members of both controllers


[1] http://wiki.netbeans.org/TS_74_AngularJS#Test_suite:_Completion_without_controllers
Comment 3 Petr Pisl 2013-08-20 22:25:22 UTC
Should be fixed in web-main: http://hg.netbeans.org/web-main/rev/c9fb7b521d85
Comment 4 Quality Engineering 2013-08-22 04:28:57 UTC
Integrated into 'main-silver', will be available in build *201308212300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c9fb7b521d85
User: Petr Pisl <ppisl@netbeans.org>
Log: #234192 - Completion inside AngularJS expression does not resolve scope correctly
Comment 5 Vladimir Riha 2013-08-22 08:23:20 UTC
Thank you, verified

Product Version: NetBeans IDE Dev (Build 201308212300)
Java: 1.7.0_40; Java HotSpot(TM) 64-Bit Server VM 24.0-b55
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b40
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo